> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-pt-br/convencoes-da-api/request-headers.md).

# Cabeçalhos da solicitação

Cabeçalhos usados ao enviar solicitações da API Eseye.

Use estes cabeçalhos ao enviar solicitações para as APIs da Eseye.

### URLs base

Cada referência de API fornece a URL base de produção para essa API. Envie sempre as solicitações por HTTPS.

Por exemplo, a API SIM usa:

```
https://sim.api.anynetiot.com
```

O serviço de autenticação usa uma URL regional separada. Consulte [Autenticação](/api-reference/api-reference-pt-br/authentication.md) para mais detalhes.

### Authorization

Toda solicitação protegida requer um token bearer:

```http
Authorization: Bearer <access-token>
```

### Accept

Solicite uma resposta JSON com:

```http
Accept: application/json
```

### Content-Type

Envie corpos de solicitação JSON com:

```http
Content-Type: application/json
```

O endpoint de token requer:

```http
Content-Type: application/x-www-form-urlencoded
```

{% hint style="warning" %}
Envie as credenciais do cliente somente para o endpoint de token. Não as envie para endpoints de API.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-pt-br/convencoes-da-api/request-headers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
